Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
stubs.c File Reference
`#include "ruby.h"`
`#include "stubs.h"`
`#include <tcl.h>`
`#include <tk.h>`
Include dependency graph for stubs.c:

Go to the source code of this file.

## Functions
int | ruby_open_tk_dll ()
int | tcl_stubs_init_p ()
int | tk_stubs_init_p ()
| if (!open_tcl_dll)
| if (st)
| _nativethread_consistency_check (tcl_ip)
int | ruby_tcl_stubs_init ()
int | ruby_tcltk_stubs ()

## Variables
static int | nativethread_checked = 0
static void Tcl_Interp * | ip
static int | open_tcl_dll = 0
static int | call_tk_stubs_init = 0
int char * | appname
return | TCLTK_STUBS_OK
Tcl_Interp *int * | st
return | tcl_ip

## Function Documentation

_nativethread_consistency_check | ( | tcl_ip |  | ) |

if | ( | ! | open_tcl_dll | ) |

Definition at line 515 of file stubs.c.

References rb_argv0, RSTRING_PTR, and ruby_open_tcl_dll().

if | ( | st |  | ) |

Definition at line 520 of file stubs.c.

int ruby_open_tk_dll | ( |  | ) |

Definition at line 472 of file stubs.c.

References rb_argv0, RSTRING_PTR, ruby_open_tcl_dll(), and TCLTK_STUBS_OK.

int ruby_tcl_stubs_init | ( |  | ) |

Definition at line 533 of file stubs.c.

References TCLTK_STUBS_OK.

Referenced by tcl_stubs_check().

int ruby_tcltk_stubs | ( |  | ) |

Definition at line 587 of file stubs.c.

References rb_argv0, and RSTRING_PTR.

int tcl_stubs_init_p | ( |  | ) |

Definition at line 494 of file stubs.c.

Referenced by tcl_stubs_check().

int tk_stubs_init_p | ( |  | ) |

Definition at line 500 of file stubs.c.

References call_tk_stubs_init.

Referenced by for(), and switch().

## Variable Documentation

int char * appname

Definition at line 458 of file stubs.c.

int call_tk_stubs_init = 0
| static

Definition at line 451 of file stubs.c.

Referenced by tk_stubs_init_p().

void Tcl_Interp* ip
| static

Definition at line 43 of file stubs.c.

Referenced by econv_primitive_convert(), getch_func(), iseq_compile_each(), make_name_for_block(), read_num(), and signbit().

nativethread_checked = 0
| static

Definition at line 39 of file stubs.c.

int open_tcl_dll = 0
| static

Definition at line 450 of file stubs.c.

Tcl_Interp* int* st

Definition at line 510 of file stubs.c.

Referenced by for(), get_stat(), gmtime_r(), ossl_pkcs12_initialize(), rb_stat_init(), rb_stat_inspect(), rb_struct_s_def(), rb_vmdebug_stack_dump_raw(), rb_waitpid(), rbtime2vtdate(), read_comp(), stat_atimespec(), stat_ctimespec(), stat_mtimespec(), stat_new_0(), struct_alloc(), sysexit_status(), tcl_stubs_check(), and vtdate2rbtime().

int Tcl_Interp * tcl_ip

Definition at line 529 of file stubs.c.

return TCLTK_STUBS_OK

Initial value:
{
if (appname) {
Tcl_FindExecutable(appname);
} else {
Tcl_FindExecutable("ruby");
}
open_tcl_dll = 1
appname
int char * appname
Definition: stubs.c:458
open_tcl_dll
static int open_tcl_dll
Definition: stubs.c:450

Definition at line 460 of file stubs.c.

Referenced by if(), Init_tcltklib(), ruby_open_tk_dll(), ruby_tcl_stubs_init(), and tcl_stubs_check().